
(include "Morris-Lecar81_solver.scm")

(define (run tmax input)
  (let ((nstate (Morris_Lecar81 input)))
    (let ((t (alist-ref 't nstate)))
      (printf "~A ~A ~A~%" 
	      t
	      (alist-ref 'v nstate)
	      (alist-ref 'w nstate))
      (if (> t tmax)
	  (print "# All done!")
	  (run tmax nstate)))))


(run 100.0 Morris_Lecar81_initial)

